@charset "UFC-8";

@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Sono&display=swap');

@font-face {
    font-family: 'Android';
    src: url('/fontes/idroid.otf') format('opentype');
    font-weight: normal;
}
:root {
    --cor0: #c5ebd6;
    --cor1: #83e1ad;
    --cor2: #3ddc84;
    --cor3: #2fa866;
    --cor4: #1a5c37;
    --cor5: #063d1e;

    --fonte-padrão: Arial, Verdana, Helvetica, sans-serif;
    --fonte-destaque: 'Bebas Neue', cursive;
    --font-android: 'Android', cursive;
}
* {
    margin: 0px;
    padding: 0px;
}
body {
    background-color: var(--cor0);
    font-family: var(--fonte-padrão);     
}
a.externo::after {
    content: '\00A0\1F517';
}
header {
    background-image: linear-gradient(to bottom, var( --cor2 ), var(--cor5));
    min-height: 150px;
    text-align: center;
    padding-top: 40px;
}
header > h1 {
    color: #ffffff;
    margin-bottom: 20px;
    font-family: var(--fonte-destaque);
    font-size: 3em;
    text-shadow: 2px 2px 10px #000000ad;
}
header > p {
    font-family: var(--fonte-padrão);
    font-size: 1.2em;
    color: #ffffff;
    max-width: 600px;
    padding-right: 10px;
    padding-left: 10px;
    margin: auto;
    padding-bottom: 30px;
    text-shadow: 2px 2px 10px #000000b7;
}
nav {
    background-color: var(--cor5);
    padding: 10px;
    box-shadow: 0px 7px 7px #0000002f;
    text-align: center;
}
nav > a {
    color: var(--cor0);
    padding: 15px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bolder;
    transition-duration: 0.5s;
    display: inline-block;
}
nav > a:hover {
    background-color: var(--cor2);
    color: var(--cor5);
    padding: 5px;
    transition-duration: 0.3s;
}
main {
    min-width: 250px;
    max-width: 800px;
    margin: auto;
    margin-bottom: 30px;
    padding: 20px;
    background-color: #ffffff;
    box-shadow: 0px 0px 10px #00000063;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}
main h1 {
    color: var(--cor5);
    font-family: var(--font-android);
    font-size: 1.8em;
}
main h2 {
    font-family: var(--font-android);
    color: var(--cor4);
    font-size: 1.3em;
    background-image: linear-gradient(to right, var(--cor1), transparent);
    text-indent: 8px;
    border-radius: 5px;
}
main p {
    margin: 15px 0px;
    text-align: justify;
    text-indent: 30px;
    line-height: 1em;
    font-size: 1em;
    line-height: 1.5em;
}
main strong {
    color: var(--cor4);
    font-weight: bold;
}
main a {
    text-decoration: none;
    font-weight: bold;
    background-color: var(--cor0);
    padding: 2px 6px;
    border-radius: 5px;
    color: #000000;
}
main a:hover {
    text-decoration: underline;
    color: var(--cor3);
}
main img {
    width: 100%;
    border-radius: 10px;
}
main img.pequena {
    max-width: 350px;
    display: block;
    margin: auto;
}
div.video {
    background-color: var(--cor5);
    margin: 0px -20px 30px -20px;
    padding: 20px;
    padding-bottom: 56.5%;
    position: relative;
}
div.video > iframe {
    position: absolute;
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
}
aside {
    background-color: var(--cor1);
    padding: 10px;
    border-radius: 10px;
    box-shadow: 2px 2px 6px #00000057;
}
aside > h3 {
    background-color: var(--cor4);
    color: #ffffff;
    padding: 10px;
    margin: -10px -10px 0px -10px;
    border-radius: 10px 10px 0px 0px;
    text-align: center;
    font-family: var(--font-android);
}
aside > ul {
    list-style-type: '\2714\00A0';
    list-style-position: inside;
    columns: 2;
}
footer {
    background-color: var(--cor5);
    color: #ffffff;
    text-align: center;
    font-size: 0.7em;
    padding: 5px;
}
footer a {
    color: #ffffff;
    font-weight: bolder;
    text-decoration: none;
}
footer a:hover {
    text-decoration: underline;
    color: var(--cor1);
}